> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# AuthenticateMember

These method requests the status of a member in an account.

## Schema

| Name      | Schema Type | Description                                                       |
| --------- | ----------- | ----------------------------------------------------------------- |
| AccountId | String      | The account ID associated with the member you are authenticating. |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AuthenticateMember"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap: Body>
      <AuthenticateMember xmlns="http://www.docusign.net/API/AccountManagement">
         <AccountId>string</AccountId>
      </AuthenticateMember>
   </soap:Body>
</soap:Envelope>
```

The response contains the information below and either a success or failure. If the call fails an error code is provided.

| Name              | Schema Type    | Description                                                                                                |
| ----------------- | -------------- | ---------------------------------------------------------------------------------------------------------- |
| UserId            | String         | The user ID for the member being authenticated.                                                            |
| EncryptedPassword | String         | The encrypted password for the authenticated user.                                                         |
| UsesAPI           | Boolean        | When true, the user can use the eSignature SOAP API.                                                       |
| MemberSettings    | MemberSettings | A complex type that contains the account settings for the member. See MemberSettings for more information. |

## Sample Response XML

```

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>

<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <AuthenticateMemberResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <AuthenticateMemberResult>
            <UserId>string</UserId>
            <AccountId>string</AccountId>
            <UsesAPI>boolean</UsesAPI>
            <MemberSettings>
               <CanManageAccount>boolean</CanManageAccount>
               <CanSendEnvelope>boolean</CanSendEnvelope>
               <CanSendAPIRequests>boolean</CanSendAPIRequests>
               <APIAccountWideAccess>boolean</APIAccountWideAccess>
               <EnableVaulting>boolean</EnableVaulting>
               <VaultingMode>bytes</VaultingMode>
               <EnableTransactionPoint>boolean</EnableTransactionPoint>
               <EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI>
               <EnableSequentialSigningUI>boolean</EnableSequentialSigningUI>
               <EnableDSPro>boolean</EnableDSPro>
               <PowerFormAdmin>boolean</PowerFormAdmin>
               <PowerFormUser>boolean</PowerFormUser>
               <CanEditSharedAddressBook>bytes</CanEditSharedAddressBook>
               <CanManageTemplates>bytes</CanManageTemplates>
               <EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride>
               <EnableSignerAttachments>boolean</EnableSignerAttachments>
            </MemberSettings>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
               <Description>string</Description>
            </Error>
         </AuthenticateMemberResult>
      </AuthenticateMemberResponse>
   </soap:Body>
</soap:Envelope>
```